xine-lib: qta_decoder_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
qta_decoder_s Struct Reference

## Data Fields
audio_decoder_t | audio_decoder
int | codec_initialized
int | output_open
xine_stream_t * | stream
HINSTANCE | qtml_dll
xine_waveformatex | wave
uint8_t | out_buf [1000000]
LPFUNC1 | InitializeQTML
LPFUNC2 | SoundConverterOpen
LPFUNC3 | SoundConverterClose
LPFUNC4 | TerminateQTML
LPFUNC5 | SoundConverterSetInfo
LPFUNC6 | SoundConverterGetBufferSizes
LPFUNC7 | SoundConverterConvertBuffer
LPFUNC8 | SoundConverterEndConversion
LPFUNC9 | SoundConverterBeginConversion
SoundConverter | myConverter
SoundComponentData | InputFormatInfo
SoundComponentData | OutputFormatInfo
int | InFrameSize
int | OutFrameSize
long | FramesToGet
int | frame_size
uint8_t | data [1024 *1024]
int | data_len
int | num_frames
ldt_fs_t * | ldt_fs

## Field Documentation

## ◆ audio_decoder

audio_decoder_t qta_decoder_s::audio_decoder

## ◆ codec_initialized

int qta_decoder_s::codec_initialized

## ◆ data

uint8_t qta_decoder_s::data[1024 *1024]

## ◆ data_len

int qta_decoder_s::data_len

## ◆ frame_size

int qta_decoder_s::frame_size

## ◆ FramesToGet

long qta_decoder_s::FramesToGet

## ◆ InFrameSize

int qta_decoder_s::InFrameSize

## ◆ InitializeQTML

LPFUNC1 qta_decoder_s::InitializeQTML

## ◆ InputFormatInfo

SoundComponentData qta_decoder_s::InputFormatInfo

## ◆ ldt_fs

ldt_fs_t* qta_decoder_s::ldt_fs

## ◆ myConverter

SoundConverter qta_decoder_s::myConverter

## ◆ num_frames

int qta_decoder_s::num_frames

## ◆ out_buf

uint8_t qta_decoder_s::out_buf[1000000]

## ◆ OutFrameSize

int qta_decoder_s::OutFrameSize

## ◆ output_open

int qta_decoder_s::output_open

## ◆ OutputFormatInfo

SoundComponentData qta_decoder_s::OutputFormatInfo

## ◆ qtml_dll

HINSTANCE qta_decoder_s::qtml_dll

## ◆ SoundConverterBeginConversion

LPFUNC9 qta_decoder_s::SoundConverterBeginConversion

## ◆ SoundConverterClose

LPFUNC3 qta_decoder_s::SoundConverterClose

## ◆ SoundConverterConvertBuffer

LPFUNC7 qta_decoder_s::SoundConverterConvertBuffer

## ◆ SoundConverterEndConversion

LPFUNC8 qta_decoder_s::SoundConverterEndConversion

## ◆ SoundConverterGetBufferSizes

LPFUNC6 qta_decoder_s::SoundConverterGetBufferSizes

## ◆ SoundConverterOpen

LPFUNC2 qta_decoder_s::SoundConverterOpen

## ◆ SoundConverterSetInfo

LPFUNC5 qta_decoder_s::SoundConverterSetInfo

## ◆ stream

xine_stream_t* qta_decoder_s::stream

## ◆ TerminateQTML

LPFUNC4 qta_decoder_s::TerminateQTML

## ◆ wave

xine_waveformatex qta_decoder_s::wave

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/libw32dll/qt_decoder.c